[project]
name="filetxt"
version = "0.0.1"
description = "load documents from file and get it's text"
authors = [{ name = "yu moqing", email = "yumoqing@gmail.com" }]
readme = "README.md"
requires-python = ">=3.8"
license = {text = "MIT"}
dependencies = [
	"langchain_community",
	"pillow",
	"mobi",
	"html2text",
	"python-docx",
	"python-pptx",
	"openpyxl",
	"pypdf",
	"ebooklib ",
	"beautifulsoup4",
]

[project.optional-dependencies]
dev = ["pytest", "black", "mypy"]

[build-system]
requires = ["setuptools>=61", "wheel"]
build-backend = "setuptools.build_meta"

